Bug 461222 - template creates an Author_Group.xml file using a banned tag
template creates an Author_Group.xml file using a banned tag
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 00:53 EDT by Lana Brindley
Modified: 2013-10-23 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.37
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 00:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lana Brindley 2008-09-05 00:53:47 EDT
Description of problem:
When creating a book with create_book, the generated Author_Group.xml file contains a <corpauthor> tag, which will break a build.

Version-Release number of selected component (if applicable):
publican-0.36-6.el5

How reproducible:
Every time

Steps to Reproduce:
1. Run create_book
2. Navigate to the Author_Group.xml file
3. See banned tags
  
Actual results:
<authorgroup>
	<corpauthor>FF0000 Headgear Documentation Group</corpauthor>
	<author>
		<firstname>Dude</firstname>
		<surname>McDude</surname>
		<affiliation>
			<orgname>My Org</orgname>
			<orgdiv>Best Div in the place</orgdiv>
		</affiliation>
		<email>dude.mcdude@myorg.org</email>
	</author>
</authorgroup>


Expected results:
<authorgroup>
	<author>
		<firstname>Dude</firstname>
		<surname>McDude</surname>
		<affiliation>
			<orgname>My Org</orgname>
			<orgdiv>Best Div in the place</orgdiv>
		</affiliation>
		<email>dude.mcdude@myorg.org</email>
	</author>
</authorgroup>


Additional info:
Comment 1 Jeff Fearn 2008-09-09 00:17:39 EDT
corpauthor isn't banned, but unless it is set-up correctly it breaks the PDF generation. Removed invalid examples from all Templates.

Note You need to log in before you can comment on or make changes to this bug.